%define upstream_name	 Finance-Quote
%define upstream_version 1.47

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Get stock and mutual fund quotes from various exchanges 
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Finance/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CGI)
BuildRequires: perl(Carp)
BuildRequires: perl(Crypt::SSLeay)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Date::Calc)
BuildRequires: perl(DateTime)
BuildRequires: perl(Encode)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(HTML::Parser)
BuildRequires: perl(HTML::TableExtract)
BuildRequires: perl(HTML::TokeParser)
BuildRequires: perl(HTML::TreeBuilder)
BuildRequires: perl(HTTP::Cookies)
BuildRequires: perl(HTTP::Headers)
BuildRequires: perl(HTTP::Request::Common)
BuildRequires: perl(HTTP::Status)
BuildRequires: perl(JSON)
BuildRequires: perl(LWP::Simple)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Mozilla::CA)
BuildRequires: perl(POSIX)
BuildRequires: perl(Storable)
BuildRequires: perl(Test)
BuildRequires: perl(Test::More)
BuildRequires: perl(Time::Piece)
BuildRequires: perl(URI)
BuildRequires: perl(URI::Escape)
BuildRequires: perl(URI::QueryParam)
BuildRequires: perl(base)
BuildRequires: perl(constant)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Finance::Quote provides access to time-delayed stockquotes from a
number of sources.  After you've installed the pacakage, try
'perldoc Finance::Quote' for full information.  Alternatively,
you can 'perldoc lib/Finance/Quote.pm' before the install.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%make_install

%files 
%doc Changes Examples LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Finance
%{_mandir}/*/*


%changelog
* Tue Mar 27 2018 shlomif <shlomif> 1.470.0-1.mga6
  (not released yet)
+ Revision: 1212871
- New version 1.47 ( MGA#22834 - fix broken gnucash )

* Sun Jun 19 2016 pterjan <pterjan> 1.380.0-3.mga6
+ Revision: 1027630
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.380.0-2.mga6
+ Revision: 969349
- Mageia 6 Mass Rebuild

* Sun Aug 23 2015 sander85 <sander85> 1.380.0-1.mga6
+ Revision: 868455
- update to 1.38

* Tue Jul 14 2015 sander85 <sander85> 1.370.0-1.mga6
+ Revision: 854073
- update to 1.37

* Wed Oct 15 2014 umeabot <umeabot> 1.350.0-3.mga5
+ Revision: 751008
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.350.0-2.mga5
+ Revision: 684797
- Mageia 5 Mass Rebuild

* Thu Jun 26 2014 jquelin <jquelin> 1.350.0-1.mga5
+ Revision: 639999
- update to 1.35

* Tue May 20 2014 jquelin <jquelin> 1.320.0-1.mga5
+ Revision: 624291
- update to 1.32

* Tue May 06 2014 jquelin <jquelin> 1.310.0-1.mga5
+ Revision: 620631
- update to 1.31

* Tue Apr 15 2014 jquelin <jquelin> 1.290.0-1.mga5
+ Revision: 614813
- update to 1.29

* Mon Mar 17 2014 jquelin <jquelin> 1.280.0-1.mga5
+ Revision: 604360
- update to 1.28

* Thu Mar 13 2014 jquelin <jquelin> 1.270.0-1.mga5
+ Revision: 602914
- update to 1.27

* Mon Mar 03 2014 jquelin <jquelin> 1.250.0-1.mga5
+ Revision: 598674
- update to 1.25

* Mon Feb 24 2014 jquelin <jquelin> 1.200.0-1.mga5
+ Revision: 596258
- update to 1.20

* Fri Oct 18 2013 umeabot <umeabot> 1.180.0-3.mga4
+ Revision: 511717
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.180.0-2.mga3
+ Revision: 367504
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 jquelin <jquelin> 1.180.0-1.mga3
+ Revision: 301371
- update to 1.18

* Wed Feb 15 2012 jquelin <jquelin> 1.170.0-2.mga2
+ Revision: 209314
- fix yahoo quote urls (mga#4508)

* Sun Jan 23 2011 jquelin <jquelin> 1.170.0-1.mga1
+ Revision: 33776
- mageia rebuild
- imported package perl-Finance-Quote

